<div class="app-page-title">
    <div class="page-title-wrapper">
        <div class="page-title-heading">
            <div class="page-title-icon">
                <i class="icon {{icon}}"></i>
            </div>
            <div>
                {{heading}}
                <div class="page-title-subheading">
                    {{subheading}}
                </div>
            </div>
        </div>
        <div class="page-title-actions">
            <button class="btn btn-info" (click)="openModal(modal)" [disabled]="!dataGrid.data">
                <i class="fa fa-external-link-alt mr-2"></i>Detalle
            </button>
        </div>
    </div>
</div>

<div class="main-card mb-3 card">
    <div class="card-body">
        <kendo-grid [data]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true"
            [filter]="filter" [filterable]="false" (filterChange)="filterChange($event)" [sort]="sort" [sortable]="true"
            [rowHeight]="40" (sortChange)="sortChange($event)" [groupable]="{ showFooter: true }" [group]="groups"
            (groupChange)="groupChange($event)" (dataStateChange)="dataStateChange($event)" style="height: 70vh">
            <ng-template kendoGridToolbarTemplate>
                <form [formGroup]="formSearch">
                    <div class="row animated fadeIn d-flex justify-content-start">
                        <div class="col-4">
                            <label>Punto</label>
                            <kendo-dropdownlist [data]="dsPuntos" formControlName="punto" [textField]="'pdesc'"
                                [valueField]="'Punto'" [valuePrimitive]="true" class="w-100">
                            </kendo-dropdownlist>
                        </div>
                        <div class="col-3">
                            <label>Clase</label>
                            <kendo-dropdownlist [data]="dsClases" formControlName="clase" [textField]="'cdesc'"
                                [valueField]="'clase'" [valuePrimitive]="true" class="w-100">
                            </kendo-dropdownlist>
                        </div>
                        <div class="col-3">
                            <label># Cheque</label>
                            <div class="input-group">
                                <input type="number" class="form-control" formControlName="iCheque"
                                    [readonly]="!formSearch.value.punto || !formSearch.value.clase"
                                    (change)="changeCheque()">
                                <div class="input-group-append" (click)="openModalCheques(modalCheques)">
                                    <span class="input-group-text">
                                        <i class="fa fa-search"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="col-2">
                            <label>Fecha</label>
                            <input type="text" class="form-control" formControlName="pfecha" readonly>
                        </div>
                        <div class="col-4">
                            <label>Mesero</label>
                            <input type="text" class="form-control" formControlName="cMesnom" readonly>
                        </div>
                        <div class="col-2">
                            <label>Turno</label>
                            <input type="number" class="form-control" formControlName="pturno" readonly>
                        </div>
                        <div class="col-2">
                            <label>Mesa</label>
                            <input type="text" class="form-control" formControlName="cMesa" readonly>
                        </div>
                        <div class="col-2">
                            <label>E.A.</label>
                            <input type="text" class="form-control" formControlName="pea" readonly>
                        </div>
                        <div class="col-2">
                            <label>Personas</label>
                            <input type="number" class="form-control" formControlName="pper" readonly>
                        </div>
                    </div>
                </form>
            </ng-template>
            <ng-container *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="clase" title="Clase" [filterable]="true" width="100"></kendo-grid-column>
                <kendo-grid-column field="punto" title="Punto" [filterable]="false" width="110"></kendo-grid-column>
                <kendo-grid-column field="pcheque" title="# Cheque" [filterable]="true" width="130"></kendo-grid-column>
                <kendo-grid-column field="phora" title="Hora Movto." [filterable]="true" width="130">
                    <ng-container *ngIf="dataGrid.data">
                        <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                            {{ dataItem.phora | hour }}
                        </ng-template>
                    </ng-container>
                </kendo-grid-column>
                <kendo-grid-column field="pmov" title="Tipo" [filterable]="false" width="100"></kendo-grid-column>
                <kendo-grid-column field="pope" title="Operador" [filterable]="false" width="120"></kendo-grid-column>
                <kendo-grid-column field="pnotas" title="Notas" [filterable]="false" width="130"></kendo-grid-column>
                <kendo-grid-column field="Con" title="Con" [filterable]="true" width="110" media="md">
                </kendo-grid-column>
                <kendo-grid-column field="Numero" title="Número" [filterable]="false" width="120" media="md">
                </kendo-grid-column>
                <kendo-grid-column field="nxml" title="XML" [filterable]="true" width="130" media="md">
                </kendo-grid-column>
                <kendo-grid-column field="RFC" title="R.F.C." [filterable]="false" width="150" media="md">
                </kendo-grid-column>
            </ng-container>
        </kendo-grid>
        <ng-template #modal let-c="close" let-d="dismiss" class="animated flipInX">
            <div class="modal-header">
                <div class="modal-title">
                    Modificaciones Realizadas a Cheques
                </div>
                <button class="close" aria-label="Close" (click)="c();">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <kendo-grid [data]="dsResumen" [selectable]="true" [navigable]="true" [reorderable]="true"
                    [resizable]="true" [rowHeight]="40" [sort]="sort2" [sortable]="true"
                    (sortChange)="sortChange2($event)" style="height: 70vh">
                    <kendo-grid-column field="Tipo" title="Tipo" width="90"></kendo-grid-column>
                    <kendo-grid-column field="platillo" title="Platillo" width="110"></kendo-grid-column>
                    <kendo-grid-column field="pcom" title="# Com" width="110"></kendo-grid-column>
                    <kendo-grid-column field="cPladesc" title="Descripción" width="250"></kendo-grid-column>
                    <kendo-grid-column field="phora" title="Hora Movto." width="120">
                        <ng-container *ngIf="dataGrid.data">
                            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                                {{ dataItem.phora | hour }}
                            </ng-template>
                        </ng-container>
                    </kendo-grid-column>
                    <kendo-grid-column field="pmov" title="Tipo" width="95"></kendo-grid-column>
                    <kendo-grid-column field="pporcion" title="Porción" width="95"></kendo-grid-column>
                    <kendo-grid-column field="pope" title="Ope." width="95"></kendo-grid-column>
                </kendo-grid>
            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" (click)="c('Close click')">
                    Cerrar
                </button>
            </div>
        </ng-template>
        <ng-template #modalCheques let-c="close" let-d="dismiss" class="animated flipInX">
            <div class="modal-header">
                <div class="modal-title">
                    Cheques
                </div>
                <button class="close" aria-label="Close" (click)="c();">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <app-search-check [punto]="formSearch.value.punto" [mesero]="ttUsuario.Mesero"
                    (cheque)="chequeSelected($event)" [ruta]="'cambios-cheques'">
                </app-search-check>
            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" (click)="c('Close click')">
                    Cerrar
                </button>
            </div>
        </ng-template>
    </div>
</div>